### Function

# GimpUi prop_label_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_label_new (
      GObject* config,
      const gchar* property_name
    )

#### Description [src]

Creates a `GtkLabel` to display the value of the specified property. The property should be a string property or at least transformable to a string. If the user should be able to edit the string, use `gimp_prop_entry_new()` instead.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of string property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkLabel` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.